<?php 
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); }
?>

<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Devolucion Cliente
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Operaciónes</li>
				<li class="breadcrumb-item active">Devolucion Cliente</li>
            </ol>
          </div>
		</div>
	</div>
</div>
	
	

	<div class="modal fade" id="div_devolucionproveedor_formrel_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >
			<div class="modal-content">

			<div class="modal-body div_devolucionproveedor_formrel" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
	</div>
	
	<div class="modal fade" id="div_devolucionproveedor_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-lg" style=""   role="document" >
			<div class="modal-content">

			<div class="modal-body div_devolucionproveedor_form" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
	</div>
	
	<div class="modal fade" id="div_mensaje_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >

			<div class="modal-content" style="padding:0px;">

			<div class="modal-body div_mensaje"  >

			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
	</div>		
			
			
	<!-- filtro de registro -->
	<div id="div_devolucion_filtro" ></div>
	<!-- lista de datos -->
	<div id="div_devolucion_tabla" ></div>


<script type="text/javascript">

	function devolucioncliente_relacionar(act,idf,empid){
	
		$('#div_devolucionproveedor_formrel_dialog').modal();
		$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../devolucioncliente/devolucioncliente_formrelacion.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					devid :idf,
					empid:empid
				}),
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_devolucionproveedor_formrel').html(div);
				},
				success: function(html){
					$('.div_devolucionproveedor_formrel').html(html);				
				}
			});
	
	}
		
		function devolucioncliente_cancelar(act,idf,empid){
		
		if(confirm("Realmente desea cancelar la devolucion, se actualizará el stock. Desea continuar?")){
			$('#div_mensaje_dialog').modal();
			
			$.ajax({
	  		type: "POST",
	  		url: "../devolucioncliente/devolucioncliente_reg.php",
	  		async:true,
	  		dataType: "json",
	  		data: ({
				action : act,
				devid : idf,
				empid :empid
			}),
	  		beforeSend: function(){					 
	  			
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_mensaje').html(div);
				
	  		},
	  		success: function(data){
				
				toastr["info"](data.dev_msj);
				
				$('.modal').modal('hide');
				$('.in').removeClass('modal-backdrop');	
	  		},
	  		complete: function(){
				
			devolucion_tabla();
			
			}
			});	 
		
		}		
	}
	
	function devolucioncliente_formvista(act,idf){
		$('#div_devolucionproveedor_form_dialog').modal();
		$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../devolucioncliente/devolucioncliente_formvista.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					devid :idf,
					vista:'compra_form'
				}),
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_devolucionproveedor_form').html(div);
				},
				success: function(html){
					$('.div_devolucionproveedor_form').html(html);				
				}
			});
	}
	
	
	function devolucion_form(act,idf){
		$('#div_devolucionproveedor_form_dialog').modal();
		
			$('body').css('overflow-y','hidden');
			
			$.ajax({
				type: "POST",
				url: "../devolucioncliente/devolucioncliente_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					venid :idf,
					vista:'compra_form'
				}),
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_devolucionproveedor_form').html(div);
				},
				success: function(html){
					$('.div_devolucionproveedor_form').html(html);				
				}
			});
	}

		

function devolucion_cartabla()
{
	$.ajax({
		type: "POST",
		url: '../devolucioncliente/devolucioncliente_cartabla.php',
		async:true,
		dataType: "html", 
		data: '',                    
		beforeSend: function() {
			
			$('#div_itemsadevol').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_itemsadevol').html(html);
		},
		complete: function(){			
			$('#div_itemsadevol').removeClass("ui-state-disabled");
		}
	});     
}
  

function agregar_producto(act,nom,icbper,catid, marid, can, preuni,canc,idm)
{
	
	$.ajax({
		type: "POST",
		url: "../devolucioncliente/agregar_producto.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 act,
			nom: nom,
			icbper:	icbper,
			catid:	catid,
			can: can,
			marid : marid ,
			preuni : preuni,
			canc:canc,
			idm : idm
		}),
		beforeSend: function() {

		},
		success: function(data){
		
			if(data.est==2)
			{
				
					toastr["success"]('Agregado correctamente.');	
			}else if(data.est==1){
				
					toastr["error"]('La cantidad no puede ser mayor a la cantidad vendida.');
			}else if(data.est==3){
				
					toastr["warning"](data.msj);
			}
			
			
		},
		complete: function(data)
		{
			devolucion_cartabla();
 
		}
	});  
}

	
	
	
	
function devolucion_filtro()
{
	$.ajax({
		type: "POST",
		url: "../devolucioncliente/devolucioncliente_filtro.php",
		async:true,
		dataType: "html",                      
		//data: ({
			//producto: $('#txt_fil_pro').val()
		//}),
		beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('#div_devolucion_filtro').html(div);
		},
		success: function(html){
			$('#div_devolucion_filtro').html(html);
		},
		complete: function(){
		//	cuentasxpagar_tabla();
		}
	});
}

function devolucion_tabla()
{
	if($("#txt_dev_numdocfil").val()!=""){
		url = '../devolucioncliente/devolucioncliente_tabla2.php';
	}else{
		url ='../devolucioncliente/devolucioncliente_tabla.php';
	}
	
	$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "html", 
		data: $("#for_fil_pro").serialize(),                    
		beforeSend: function() {
			
			$('#div_devolucion_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_devolucion_tabla').html(html);
		},
		complete: function(){			
			$('#div_devolucion_tabla').removeClass("ui-state-disabled");
		}
	});     
}


function ver_detalles(venid){
	$.ajax({
		type: "POST",
		url: "../devolucioncliente/devolucioncliente_tabladetalles.php",
		async:true,
		dataType: "html", 
		data: ({
			ven_id:venid			
		}),                    
		beforeSend: function() {			
			$('#div_devolucion_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_devolucion_tabla').html(html);
		},
		complete: function(){			
			$('#div_devolucion_tabla').removeClass("ui-state-disabled");
		}
	}); 
	
}

	///// GUIA ELECTRONICAA 
	
function guia_ticket_datos(id_guia){	
		
		
		$.ajax({
			type: "POST",
			url: "../guiaremision/guia_ticket_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			guiaid: id_guia
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				 console.log(data); 
				
				if(data!=""){					
				//alert(data.guia_docAbr);
					if(data.guia_docAbr=="T" /* && data.cli_nom !='CLIENTE' */ ){
					generarGuia_xml(data,data.url_genguia,data.emp_ruc,data.guia_numdoc,id_guia,data.cliId);
					}
				}else{
					
				}
			}
		});
	
}
	
	
function generarGuia_xml(data,url,emp_ruc,guia_numdoc,guia_id,id_cli){
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: data,
		beforeSend: function()
		{
			
		},
		success: function(data){
				// alert(data.arc+' - '+emp_ruc+' - '+guia_numdoc+' - '+data.tipcom); 
		firmar(data.url,data.arc,emp_ruc,guia_numdoc,data.tipcom,guia_id,id_cli);
		}
	});

}
	
	
	
	
function firmar(url,arc,emp_ruc,guia_numdoc,tipcom,guia_id,id_cli){
		
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: ({
			arc : arc,
			emp_ruc : emp_ruc,
			ven_numdoc:guia_numdoc,
			tipcom:tipcom
		}),
		beforeSend: function()
		{
			
		},
		success: function(data){
			
	enviarSunatguia(data.xml_nom,data.fil_name_zip,data.fil_name_xml,data.filenom,guia_id,id_cli,tipcom,emp_ruc);
				/* traer_datos_doc(id_ven,data.fil_name_xml); */
		}
	});

}


function enviarSunatguia(nomxml,fil_name_zip,fil_name_xml,filenom,guia_id,id_cli,tipcom,emp_ruc){
	
	//alert(filenom);
	
		$.ajax({
		type: "POST",
		url: '../../docgeneracion/enviosunatguia.php',
		async:true,
		dataType: "json",                      
		data: ({
			nomxml:nomxml,
			name_zip:fil_name_zip,
			nomfile:filenom,
			guia_id:guia_id,
			xmlarchivo:fil_name_xml,
			tipcom:tipcom,
			emp_ruc:emp_ruc
		}),
		beforeSend: function()
		{
			toastr["error"]('Esperando respuesta de sunat');
		},
		success: function(data){
			if(data.est==1){
				//enviarCorreo(id_ven,id_cli);
				traer_datos_docguia(guia_id,fil_name_xml);
				generar_pdf_guia(guia_id);
				//venta_tabla();
				toastr["info"](data.msj);
			}else{
				toastr["info"]('El documento no se ha emitido.');
				toastr["error"](data.msj);
			}
			
				
		}
	});

}	


function traer_datos_docguia(guia_id,urlxml){
	
	$.ajax({
			type: "POST",
			url: "../guiaremision/guia_doc_datos.php",
			async:true,
			dataType: "json",                      
			data:({ 
			guia_id: guia_id,
			urlxml :urlxml
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				/* console.log(data); */
				
			guia_doc_impresion(data,data.imp_doc);

			/* if(data.cli_ema==""){
				
			}else{
				act ="enviar";
				enviarCorreo(data);
			}	 */	
			
			}
		});
	
}


function guia_doc_impresion(data,url){
	$.ajax({
			type: "POST",
			url: url,
			async:true,
			dataType: "json",                      
			data: data ,
			beforeSend: function() {
				console.log(data);
			},
			success: function(data){
				
				
			}
		});
}
	
	
	
function generar_pdf_guia(guiaid){	
		
		
		$.ajax({
			type: "POST",
			url: "../guiaremision/guiaremision_generar_doc.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			guiaid: guiaid
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				
				}
		});
	
	}	






	
	
	
	
	
	
	
	
///ENVIAR A SUNAT LA NOTA DE CREDITO


function notacredito_ticket_datos(notcreid,venid){
		
		$.ajax({
			type: "POST",
			url: "../notacredito/notacredito_ticket_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			venid: venid,
			notcreid: notcreid
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				console.log(data);
				
				if(data!=""){					
					generarNotacredito_xml(data,data.url_gennotcre,data.emp_ruc,data.notcre_numdoc,venid,notcreid,data.cli_id);	
				}else{
					
				}
			}
		});
}

function generarNotacredito_xml(data,url,emp_ruc,numdoc,venid,notcreid,cliid){
	$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: data,
		beforeSend: function()
		{
			
		},
		success: function(data){
				
		firmarNotacredito(data.url,data.arc,emp_ruc,numdoc,data.tipcom,venid,notcreid,cliid);
		
		}
	});
}


	
function firmarNotacredito(url,arc,emp_ruc,ven_numdoc,tipcom,venid,notcreid,cliid){
		/* alert(url); */
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: ({
			arc : arc,
			emp_ruc : emp_ruc,
			ven_numdoc:ven_numdoc,
			tipcom:tipcom,
			venid:notcreid
		}),
		beforeSend: function()
		{
			
		},
		success: function(data){			
				//enviarSunat(data.fil_name_zip,data.fil_name,data.fil_name_fac,tipcom,venid,notcreid,data.fil_name_xml);
				enviarSunatNotacredito(data.xml_nom,data.fil_name_zip,data.fil_name_xml,data.filenom,venid,notcreid,tipcom,cliid,emp_ruc);
				
		}
	});

}


function enviarSunatNotacredito(nomxml,fil_name_zip,fil_name_xml,filenom,venid,notcreid,tipcom,cliid,emp_ruc){
		
		//$('#div_mensaje_dialog').modal();
		
		$.ajax({
		type: "POST",
		url: '../../docgeneracion/enviosunat.php',
		async:true,
		dataType: "json",                      
		data: ({
			nomxml:nomxml,
			name_zip:fil_name_zip,
			nomfile:filenom,
			id_ven:notcreid,
			xmlarchivo:fil_name_xml,
			tipcom:tipcom,
			emp_ruc:emp_ruc
		}),
		beforeSend: function()
		{
			/* var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> PROCESANDO PETICION.</div>  </center>";	
			$('.div_mensaje').html(div); */
			toastr["error"]('Esperando respuesta de sunat');
		},
		success: function(data){
			
			if(data.est==1){
				//actualizarNotacredito(notcreid,fil_name_xml);
				traer_datos_doc(venid,notcreid,fil_name_xml);
				//venta_anular(venid);
				generar_pdf_notcredito(notcreid);
				// enviarCorreo(notcreid,cliid);
				toastr["info"](data.msj);
			}else{
				toastr["error"]('La nota de credito no ha sido aceptada.');
				toastr["error"](data.msj);
			}
			
		$('#div_mensaje_dialog').modal('hide');
				
		}
	});

}



function generar_pdf_notcredito(notcreid){	
		$.ajax({
			type: "GET",
			url: "../notacredito/notacredito_generar_doc.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			notid: notcreid
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				
				}
		});
	
	}	


function traer_datos_doc(venid,notcreid,urlxml){
	
	$.ajax({
			type: "POST",
			url: "../notacredito/notacredito_doc_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			venid: venid,
			notcreid: notcreid,
			urlxml :urlxml
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				/* console.log(data); */
			notacredito_doc_impresion(data,data.imp_doc);
				
			}
		});
	
}

function notacredito_doc_impresion(data,url){
	
	$.ajax({
			type: "POST",
			url: url,
			async:true,
			dataType: "json",                      
			data: data ,
			beforeSend: function() {
				console.log(data);
			},
			success: function(data){
				
				
			}
		});
	
}

	
	function venta_anular(id,texto){      
		/* if(confirm("Realmente desea anular venta "+texto+", se actualizará el stock. ASEGURESE QUE LAS CANTIDADES DE PRODUCTO SE PUEDAN REPONER CORRECTAMENTE.  Continuar?")){ */
			$.ajax({
				type: "POST",
				url: "../venta/venta_anular.php",
				async:true,
				dataType: "json",
				data: ({
					action: "anular",
					ven_id:	id
				}),
				beforeSend: function() {					
				},
				success: function(data){
					if(data.act!='correcto')
					{
						venta_anular(id);
					}
					toastr["error"](data.msj);	
				},
				complete: function(){
					notacredito_tabla();
				}
			});
	}
	
	
	





	$(function() {

		$('#btn_actualizar').click(function() {
			$("#content").load("../devolucioncliente/devolucioncliente_vista.php");
		});

		$("#div_devolucionproveedor_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
 
		$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
			$('body').css('padding-right','0px');
		});
 
		devolucion_filtro();

		setTitle("DEVOLUCION CLIENTE - "+nombreEmpresa); 

	});

</script>  